Kodi Community Forum

Full Version: Weather Underground
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
(2012-06-28, 15:22)Frank_Castl3 Wrote: [ -> ]I'm getting a script failed message after enabling v 1.9. I'm on Eden. Do I need to have a nightly installed for this addon to work? I've reset my location and using English Language and Region USA (12H). Thanks
I tried with New York City, NY and that works. It works for my old home town Spotyslvania, VA. But it is not working for Charlotte, NC (28203)

This was at the end of the log file if this is helpful.

09:39:33 T:3052 ERROR: Error Type: <type 'exceptions.KeyError'>
09:39:33 T:3052 ERROR: Error Contents: (u'L',)
09:39:33 T:3052 ERROR: Traceback (most recent call last):
File "C:\Users\Scott\AppData\Roaming\XBMC\addons\weather.wunderground\default.py", line 555, in <module>
forecast(location)
File "C:\Users\Scott\AppData\Roaming\XBMC\addons\weather.wunderground\default.py", line 144, in forecast
properties(data,loc)
File "C:\Users\Scott\AppData\Roaming\XBMC\addons\weather.wunderground\default.py", line 479, in properties
set_property('Alerts.%i.Significance' % (count+1), SEVERITY[item['significance']])
KeyError: (u'L',)

thanx for reporting the issue, i'll fix it.
T! is only the skin that supports the extended info. So, will skinners support the extended features?
(2012-05-04, 09:22)donabi Wrote: [ -> ]I've played arround with it...

Image

Image

i still get an "error", but the plugin works as it should. mayber a skin-problem (i haven't yet looked into my log)

What skin is this?
T!'s not the only skin Smile - Confluence.Lite.Mod has made a start - albeit only % Percipitation ATM

Image
With the Weather Channel purchasing WU, I wonder whats going to happen with their API
(2012-07-03, 00:41)handbone Wrote: [ -> ]With the Weather Channel purchasing WU, I wonder whats going to happen with their API

Just so folks have some "official" reference, here's a story from the Verge on the acquisition. I have the same question as handbone. If TWC locks down the weather underground API the way they did their own, I'm not sure what the other options are for weather data.

(2012-07-03, 03:02)pkscuot Wrote: [ -> ]
(2012-07-03, 00:41)handbone Wrote: [ -> ]With the Weather Channel purchasing WU, I wonder whats going to happen with their API

Just so folks have some "official" reference, here's a story from the Verge on the acquisition. I have the same question as handbone. If TWC locks down the weather underground API the way they did their own, I'm not sure what the other options are for weather data.

Imho, world weather online is only other option.
Btw, Mediaportal uses a lot of weather plugins.


Extensive list: http://www.team-mediaportal.com/extensions/weather


WU not working from today. Is it working for anybody else? Please help!
Same here. Is not working for a couple of days.
i use 2 pc´s with xbmc. my htpc (signature) everything works fine with no errors, and my desktop pc (i5-2500k, asrock z77 pro4, gtx 570) show errors and stops on exit with T:7916 ERROR: XBPyThread:Confusedtop - script didn't stop in proper time - lets kill it. same windows, same xbmc, same addons. i dont know why i get different results. in log i see many python errors. script.tv.show.next.aired doesn´t work too.
edit: wu 019
(2012-07-06, 12:44)Nimo Wrote: [ -> ]i use 2 pc´s with xbmc. my htpc (signature) everything works fine with no errors, and my desktop pc (i5-2500k, asrock z77 pro4, gtx 570) show errors and stops on exit with T:7916 ERROR: XBPyThread:Confusedtop - script didn't stop in proper time - lets kill it. same windows, same xbmc, same addons. i dont know why i get different results. in log i see many python errors. script.tv.show.next.aired doesn´t work too.
edit: wu 019

This is a problem in latest nightlies. Not a script problem. Please have patience until this is resolved
ah ok, thx Martijn. i will wait.
downloaded the latest nightly (06 july, 2012) and the WU addon is working again
where is the link for the latest nightly?
(2012-06-29, 09:58)bandelguy Wrote: [ -> ]T! is only the skin that supports the extended info. So, will skinners support the extended features?

When the version with the new futures is available through the official repo yes, i will support it in my skin.

But I don't see any update of the script in the official repo yet.


Cheers
Nessus